- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# onyx_ptp_interface – Configures PTP on interface

New in version 2.8.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module provides declarative management of PTP interfaces configuration on Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
announce_interval - |  | configure PTP announce setting for interval, Range -3-1
announce_timeout - |  | configure PTP announce setting for timeout, Range 2-10
delay_request - |  | configure PTP delay request interval, Range 0-5
name - / required |  | ethernet or vlan interface name that we want to configure PTP on it
state - | Choices: enabled ← disabled | Enable/Disable PTP on Interface
sync_interval - |  | configure PTP sync interval, Range -7--1

## Notes

Note

- Tested on ONYX 3.6.8130

- PTP Protocol must be enabled on switch.

- Interface must not be a switch port interface.

## Examples

    - name: configure PTP interface
      onyx_ptp_interface:
        state: enabled
        name: Eth1/1
        delay_request: 0
        announce_interval: -2
        announce_timeout: 3

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device. Sample: ['interface ethernet 1/16 ptp enable', 'interface ethernet 1/16 ptp delay-req interval 0', 'interface ethernet 1/16 ptp announce interval -1']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Anas Badaha (@anasb)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.